Page MenuHomePhabricator

Set uca-es-u-kn as category collation for es.wikipedia
Closed, ResolvedPublic

Description

Per discussion we'd like to have our categories sorted using the uca-es-u-kn order. After merging the patch, the maintenance script updateCollation.php should be run.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterSet category collation to uca-es-u-kn for eswiki

Event Timeline

MarcoAurelio triaged this task as Low priority.Dec 30 2017, 11:47 AM
MarcoAurelio created this task.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptDec 30 2017, 11:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 401081 had a related patch set (by MarcoAurelio) published:
[operations/mediawiki-config@master] Set category collation to uca-es-u-kn for eswiki

https://gerrit.wikimedia.org/r/401081

As for the script, it should be run for all rows with --force so it gets everything.

Framawiki added a subscriber: Framawiki.
MarcoAurelio added a comment.EditedJan 3 2018, 11:58 AM

After merging the patch, please run, on terbium:

screen mwscript updateCollation.php --wiki=eswiki --force

so the script is run on all rows, even those suposed to be up-to-date. We ain't sure if there are older rows using a different collation than uppercase so this will get everything updated. Thank you.

(screen as this may take some time)

Change 401081 merged by jenkins-bot:
[operations/mediawiki-config@master] Set category collation to uca-es-u-kn for eswiki

https://gerrit.wikimedia.org/r/401081

Mentioned in SAL (#wikimedia-operations) [2018-01-03T19:42:32Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:401081|Set category collation to uca-es-u-kn for eswiki]] T183802 (duration: 01m 02s)

MarcoAurelio closed this task as Resolved.Jan 3 2018, 8:24 PM

Script running though.